MONGOC_GRIDFS_FILE_ERROR(3)

NAME
mongoc_gridfs_file_error - mongoc_gridfs_file_error()

SYNOPSIS

bool
mongoc_gridfs_file_error (mongoc_gridfs_file_t *file, bson_error_t *error);

PARAMETERS

•   file: A mongoc_gridfs_file_t.

•   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

This function checks to see if there has been an error associated with the last operation upon file.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns false if there has been no registered error, otherwise true and error is set.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc